scala.tools.nsc.interpreter.StructuredTypeStrings

# TypeEmpty

#### object TypeEmpty extends TypeNode

Linear Supertypes
TypeNode, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeEmpty
2. TypeNode
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def grouping: Grouping

    Definition Classes
      TypeEmpty → TypeNode

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def label: String

    Definition Classes
      TypeEmpty → TypeNode

16. #### def mkPrefix(showLabel: Boolean): String

    Attributes
      protected
    Definition Classes
      TypeNode

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def nodes: collection.immutable.Nil.type

    Definition Classes
      TypeEmpty → TypeNode

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def show(indent: Int, showLabel: Boolean): String

    Definition Classes
      TypeEmpty → TypeNode

22. #### def show(): String

    Definition Classes
      TypeNode

23. #### def show(indent: Int): String

    Definition Classes
      TypeNode

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      TypeNode → AnyRef → Any

26. #### def typeName: String

    Definition Classes
      TypeEmpty → TypeNode

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def withLabel(l: String): TypeEmpty.this.type

    Definition Classes
      TypeNode

31. #### def withType(t: String): TypeEmpty.this.type

    Definition Classes
      TypeNode

### Inherited from TypeNode

### Inherited from AnyRef

### Inherited from Any

### Ungrouped